GET /serviceengine/{uuid}/placement/

GET /serviceengine/{uuid}/placement/

/serviceengine/{uuid}/placement/

Request
URI
GET
https://{api_host}/api/serviceengine/{uuid}/placement
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SeResourceProto of type(s) application/json
{
    "_last_modified": "string",
    "active_tags": [
        "string"
    ],
    "at_curr_ver": false,
    "az": "string",
    "azure_info": {
        "availability_set": "string",
        "fault_domain": "string",
        "name": "string",
        "resource_group": "string",
        "subnet_id": "string",
        "update_domain": "string",
        "vm_uuid": "string",
        "vnic_id": "string"
    },
    "bgp_peers_up": false,
    "bootup_consumers": [
        "string"
    ],
    "bootup_failed": false,
    "came_online_at": 0,
    "container_mode": false,
    "container_type": "string",
    "controller_created": false,
    "create_cookie": "string",
    "created_at": 0,
    "del_pending": false,
    "del_start_ticks": 0,
    "disconnected": false,
    "disk_gb": 0,
    "down_during_warmstart": false,
    "enable_state": "string",
    "failover_consumer_uuids": [
        "string"
    ],
    "flavor": "string",
    "gateway_up": false,
    "host_uuid": "string",
    "hypervisor": "string",
    "in_use": false,
    "ip_mac_addr": [
        "string"
    ],
    "ip_masks": [
        0
    ],
    "ips": [
        {
            "addr": "string",
            "type": "string"
        }
    ],
    "last_reboot_ticks": 0,
    "masked_ips": [
        {
            "addr": "string",
            "type": "string"
        }
    ],
    "max_ips_per_vnic": 0,
    "max_vnics": 0,
    "memory": 0,
    "memory_free": 0,
    "memory_inuse": 0,
    "mgmt_ip": {
        "addr": "string",
        "type": "string"
    },
    "mgmt_ip6": {
        "addr": "string",
        "type": "string"
    },
    "mgmt_net_uuid": "string",
    "name": "string",
    "next_vnic_gc_ticks": 0,
    "next_vnic_op_ticks": 0,
    "nsxt_no_hotplug": false,
    "online": false,
    "pending_consumers": [
        {
            "cookie": "string",
            "name": "string",
            "state": "string",
            "ticks": 0,
            "uuid": "string"
        }
    ],
    "ping_cookie": "string",
    "placement_ineligible_reason": "string",
    "placement_ineligible_reason_str": "string",
    "placement_ineligible_timestamp": {
        "secs": 0,
        "usecs": 0
    },
    "reason_code": "string",
    "reboot_attempts": 0,
    "resources_consumed": [
        {
            "active_on_cloud": false,
            "admin_down": false,
            "attach_ip_cookie": "string",
            "attach_ip_fail_cnt": 0,
            "attach_ip_fail_str": "string",
            "attach_ip_fail_syserr": "string",
            "attach_ip_in_progress": false,
            "cloud_programming_done": false,
            "consumer_name": "string",
            "consumer_ref": "string",
            "cookie": "string",
            "detach_ip_cookie": "string",
            "detach_ip_fail_cnt": 0,
            "detach_ip_fail_str": "string",
            "detach_ip_fail_syserr": "string",
            "detach_ip_in_progress": false,
            "failover_attempts": 0,
            "floating_intf_ip": [
                {
                    "addr": "string",
                    "type": "string"
                }
            ],
            "floating_intf_ip6_addresses": [
                {
                    "addr": "string",
                    "type": "string"
                }
            ],
            "is_primary": false,
            "is_stby": false,
            "last_attach_ip_fail_ticks": 0,
            "last_attach_ip_start_ticks": 0,
            "last_detach_ip_fail_ticks": 0,
            "last_detach_ip_start_ticks": 0,
            "last_failover_attempt_ticks": 0,
            "marked_for_delete": false,
            "marked_for_scalein": false,
            "memory": 0,
            "res_name": "string",
            "res_ref": "string",
            "route_revoked_pool_down": false,
            "se_programming_done": false,
            "sec_idx": 0,
            "state": "string",
            "static_se_binding": false,
            "vcpus": 0,
            "vip": {
                "addr": "string",
                "type": "string"
            },
            "vip6": {
                "addr": "string",
                "type": "string"
            },
            "vip_intf_list": [
                {
                    "is_portchannel": false,
                    "networks": [
                        {
                            "network_ref": "string",
                            "subnet": [
                                {
                                    "ip_addr": {
                                        "addr": "string",
                                        "type": "string"
                                    },
                                    "mask": 0
                                }
                            ],
                            "subnet6": [
                                {
                                    "ip_addr": {
                                        "addr": "string",
                                        "type": "string"
                                    },
                                    "mask": 0
                                }
                            ]
                        }
                    ],
                    "vip_intf_ip": {
                        "addr": "string",
                        "type": "string"
                    },
                    "vip_intf_ip6": {
                        "addr": "string",
                        "type": "string"
                    },
                    "vip_intf_mac": "string",
                    "vlan_id": 0
                }
            ],
            "vnics": [
                {
                    "connected": false,
                    "del_retries": 0,
                    "dp_deletion_done": false,
                    "enabled": false,
                    "in_use": false,
                    "is_avi_internal_network": false,
                    "last_vnic_op_ticks": 0,
                    "lif": "string",
                    "linux_name": "string",
                    "mac_addr": "string",
                    "marked_for_del": false,
                    "port_uuid": "string",
                    "subnet": {
                        "ip_addr": {
                            "addr": "string",
                            "type": "string"
                        },
                        "mask": 0
                    },
                    "tepless_ip": {
                        "addr": "string",
                        "type": "string"
                    },
                    "vips": [
                        "string"
                    ],
                    "virtual_network_id": "string",
                    "vnic_type": "string",
                    "vrf_uuid": "string"
                }
            ]
        }
    ],
    "se_group_ref": "string",
    "se_grp_reboot_pending": false,
    "static_ip": {
        "addr": "string",
        "type": "string"
    },
    "sufficient_memory": false,
    "unused_since": 0,
    "upgrading": false,
    "url": "string",
    "uuid": "string",
    "vcpus": 0,
    "vcpus_free": 0,
    "vcpus_inuse": 0,
    "version": "string",
    "vinfra_discovered": false,
    "vnic_op": {
        "cc_vnic_op_success": false,
        "cookie": "string",
        "macs": [
            "string"
        ],
        "oper_start_ticks": 0,
        "oper_start_time": "string",
        "se_uuid": "string",
        "se_vm_name": "string",
        "virtual_network_ids": [
            "string"
        ],
        "vnic_op_infra": "string",
        "vnic_op_type": "string",
        "vrf_uuids": [
            "string"
        ]
    },
    "vnic_op_consumers": [
        "string"
    ],
    "vnics": [
        {
            "connected": false,
            "del_retries": 0,
            "dp_deletion_done": false,
            "enabled": false,
            "in_use": false,
            "is_avi_internal_network": false,
            "last_vnic_op_ticks": 0,
            "lif": "string",
            "linux_name": "string",
            "mac_addr": "string",
            "marked_for_del": false,
            "port_uuid": "string",
            "subnet": {
                "ip_addr": {
                    "addr": "string",
                    "type": "string"
                },
                "mask": 0
            },
            "tepless_ip": {
                "addr": "string",
                "type": "string"
            },
            "vips": [
                "string"
            ],
            "virtual_network_id": "string",
            "vnic_type": "string",
            "vrf_uuid": "string"
        }
    ],
    "vsphere_ha_active": false,
    "warm_starting": false,
    "went_headless_at": 0,
    "went_offline_at": 0
}
string
_last_modified
Read-Only  

UNIX time since epoch in microseconds. Units(MICROSECONDS).

array of string
active_tags
Optional

Enum options - ACTIVE_STANDBY_SE_1, ACTIVE_STANDBY_SE_2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
at_curr_ver
Optional
Constraints: default: true

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
az
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
azure_info
Optional

azure_info

boolean
bgp_peers_up
Optional
Constraints: default: true

Indicates if at least 1 BGP peer with advertise_vip is UP and at least 1 BGP peer with advertise_snat_ip is UP if there are such peers configured. Flag will be set to false if the condition above is not true for any of the VRFs configured on the SE. Field introduced in 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of string
bootup_consumers
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
bootup_failed
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
came_online_at
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
container_mode
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
container_type
Optional
Constraints: default: CONTAINER_TYPE_HOST

Enum options - CONTAINER_TYPE_BRIDGE, CONTAINER_TYPE_HOST, CONTAINER_TYPE_HOST_DPDK. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
controller_created
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
create_cookie
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
created_at
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
del_pending
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
del_start_ticks
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
disconnected
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
disk_gb
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
down_during_warmstart
Optional

SE went down during warmstart. Field introduced in 18.2.8. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
enable_state
Optional
Constraints: default: SE_STATE_ENABLED

Enum options - SE_STATE_ENABLED, SE_STATE_DISABLED_FOR_PLACEMENT, SE_STATE_DISABLED, SE_STATE_DISABLED_FORCE, SE_STATE_DISABLED_WITH_SCALEIN, SE_STATE_DISABLED_NO_TRAFFIC, SE_STATE_DISABLED_FORCE_WITH_MIGRATE. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of string
failover_consumer_uuids
Optional

List of consumers attempting failover to this SE. Field introduced in 18.2.5. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
flavor
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
gateway_up
Optional
Constraints: default: true

Indicates if SE is able to connect to gateway. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
host_uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
hypervisor
Optional

Enum options - DEFAULT, VMWARE_ESX, KVM, VMWARE_VSAN, XEN. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
in_use
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of string
ip_mac_addr
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of integer
ip_masks
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
ips
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
last_reboot_ticks
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
masked_ips
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
max_ips_per_vnic
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
max_vnics
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
memory
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
memory_free
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
memory_inuse
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
mgmt_ip
Optional

mgmt_ip

object
mgmt_ip6
Optional

mgmt_ip6

string
mgmt_net_uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
name
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
next_vnic_gc_ticks
Optional

Ticks after which the next SE vnic garbage collection operation can be executed. Field introduced in 17.2.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
next_vnic_op_ticks
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
nsxt_no_hotplug
Optional

If set to true for NSXT cloud, controller should not hotplug the vNICs. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
online
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
pending_consumers
Optional

Field introduced in 17.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
ping_cookie
Optional

Cookie of the ping request to the SE. Field introduced in 18.2.5. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
placement_ineligible_reason
Optional
Constraints: default: PLACEMENT_INELIGIBLE_SE_ELIGIBLE

Reason code for why SE is not a placement candidate for any VSs. Enum options - PLACEMENT_INELIGIBLE_UPGRADE_IN_PROGRESS, PLACEMENT_INELIGIBLE_SE_GRP_UPGRADE_IN_PROGRESS, PLACEMENT_INELIGIBLE_CLOUD_NOT_READY, PLACEMENT_INELIGIBLE_CLOUD_API_NOT_READY, PLACEMENT_INELIGIBLE_VS_ELIGIBLE, PLACEMENT_INELIGIBLE_MULTIPLE_SE_CRASHES, PLACEMENT_INELIGIBLE_SPAWN_FAIL_MAX_LIMIT, PLACEMENT_INELIGIBLE_SPAWN_FAIL_UNRECOVERABLE, PLACEMENT_INELIGIBLE_BOOTUP_FAIL, PLACEMENT_INELIGIBLE_VNIC_FAIL, PLACEMENT_INELIGIBLE_VNIC_FAIL_MAX_LIMIT, PLACEMENT_INELIGIBLE_VNIC_IP_FAIL, PLACEMENT_INELIGIBLE_ATTACH_IP_FAIL_MAX_LIMIT, PLACEMENT_INELIGIBLE_ATTACH_IP_FAIL_UNRECOVERABLE, PLACEMENT_INELIGIBLE_VIP_MULTIPLE_NETWORKS, PLACEMENT_INELIGIBLE_SRVR_MULTIPLE_NETWORKS, PLACEMENT_INELIGIBLE_NO_VIP_NETWORK, PLACEMENT_INELIGIBLE_NO_SRVR_NETWORK, PLACEMENT_INELIGIBLE_VIP_NETWORK_DOES_NOT_EXIST, PLACEMENT_INELIGIBLE_SRVR_NETWORK_DOES_NOT_EXIST, PLACEMENT_INELIGIBLE_BGP_NETWORK_DOES_NOT_EXIST, PLACEMENT_INELIGIBLE_OTHER_SHARED_VIP_VS_PENDING, PLACEMENT_INELIGIBLE_OTHER_ACTIVE_STANDBY_VS_PENDING, PLACEMENT_INELIGIBLE_CONCURRENT_SE_CREATION_LIMIT, PLACEMENT_INELIGIBLE_SE_ELIGIBLE, PLACEMENT_INELIGIBLE_SE_DISABLED, PLACEMENT_INELIGIBLE_SE_DOWN, PLACEMENT_INELIGIBLE_SE_GATEWAY_DOWN, PLACEMENT_INELIGIBLE_SE_DISCONNECTED, PLACEMENT_INELIGIBLE_SE_MAX_VS_PER_SE_LIMIT, PLACEMENT_INELIGIBLE_SE_DEL_PENDING, PLACEMENT_INELIGIBLE_SE_GRP_REBOOT_PENDING, PLACEMENT_INELIGIBLE_NO_FRONTEND_REACH, PLACEMENT_INELIGIBLE_NO_BACKEND_REACH, PLACEMENT_INELIGIBLE_NO_FRONTEND_BACKEND_REACH, PLACEMENT_INELIGIBLE_MAX_VNIC_PER_SE_LIMIT, PLACEMENT_INELIGIBLE_MAX_IPS_PER_VNIC_LIMIT, PLACEMENT_INELIGIBLE_AZ_MISMATCH, PLACEMENT_INELIGIBLE_VNIC_DISCONNECTED, PLACEMENT_INELIGIBLE_VNIC_DISABLED, PLACEMENT_INELIGIBLE_VNIC_DEL_PENDING, PLACEMENT_INELIGIBLE_GCP_VNIC_NOT_ETH0, PLACEMENT_INELIGIBLE_SNI_CONSTRAINTS, PLACEMENT_INELIGIBLE_ACTIVE_STANDBY_CONSTRAINTS, PLACEMENT_INELIGIBLE_SHARED_VIP_CONSTRAINTS, PLACEMENT_INELIGIBLE_OTHER_VIP_ON_VS_PENDING, PLACEMENT_INELIGIBLE_NOT_ALL_BGP_PEERS_REACHABLE_VIP, PLACEMENT_INELIGIBLE_NO_BGP_PEER_REACHABLE_VIP, PLACEMENT_INELIGIBLE_NOT_ALL_BGP_PEERS_REACHABLE_SNAT, PLACEMENT_INELIGIBLE_NO_BGP_PEER_REACHABLE_SNAT, PLACEMENT_INELIGIBLE_SE_HOST_NO_NETWORK_CONNECTIVITY, PLACEMENT_INELIGIBLE_INSUFFICIENT_VNIC_SLOTS, PLACEMENT_INELIGIBLE_EXCLUDED_IP_CANDIDATE, PLACEMENT_INELIGIBLE_CON_IDLE_PENDING_VNIC_OP, PLACEMENT_INELIGIBLE_CON_IDLE_VNICS_IN_COOLDOWN, PLACEMENT_INELIGIBLE_IP_CANDIDATE_PENDING_VNIC_OP, PLACEMENT_INELIGIBLE_IP_CANDIDATE_VNICS_IN_COOLDOWN, PLACEMENT_INELIGIBLE_VNIC_CANDIDATE_PENDING_VNIC_OP, PLACEMENT_INELIGIBLE_VNIC_CANDIDATE_VNICS_IN_COOLDOWN, PLACEMENT_INELIGIBLE_VNIC_CANDIDATE_HOST_DISCONNECTED, PLACEMENT_INELIGIBLE_NO_BACKEND_REACH_VNIC_DEL_PENDING, PLACEMENT_INELIGIBLE_NO_BACKEND_REACH_VNIC_DISCONNECTED, PLACEMENT_INELIGIBLE_NO_BACKEND_REACH_VNIC_DISABLED. Field introduced in 20.1.5. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
placement_ineligible_reason_str
Optional

Reason string for why SE is not a placement candidate for any VSs. Field introduced in 20.1.5. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
placement_ineligible_timestamp
Optional

placement_ineligible_timestamp

string
reason_code
Optional
Constraints: default: SE_DEREG_POWERED_OFF

Enum options - SE_DEREG_HB_FAILURE, SE_DEREG_POWERED_OFF, SE_DEREG_SUSPENDED, SE_DEREG_FATAL_ERROR, SE_DEREG_UNREACHABLE, SE_DEREG_VM_DELETED, SE_DEREG_REBOOTED, SE_DEREG_PURGE, SE_DEREG_HEALTH_CHECK, SE_DEREG_VINFRA_POWERED_OFF, SE_DEREG_UPGRADING, SE_DEREG_DP_HB_FAIL, SE_DEREG_DISABLED_FORCE, SE_DEREG_SWITCHOVER_FORCE, SE_DEREG_NEWLY_DISCOVERED, SE_DEREG_SE_GRP_CHANGE, SE_DEREG_UPGRADING_UNREACHABLE, SE_DEREG_VSPHERE_HA_HOST_FAILURE. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
reboot_attempts
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
resources_consumed
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
se_group_ref
Optional

It is a reference to an object of type ServiceEngineGroup. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
se_grp_reboot_pending
Optional

Indicates SE reboot following SE group change is pending. Field introduced in 18.2.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
static_ip
Optional

static_ip

boolean
sufficient_memory
Optional
Constraints: default: true

Indicates if SE has sufficient memory. Field introduced in 18.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
unused_since
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
upgrading
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
url
Read-Only  

url

string
uuid
Optional

It is a reference to an object of type ServiceEngine. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
vcpus
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
vcpus_free
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
vcpus_inuse
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
version
Optional
Constraints: default: 0.0.0

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
vinfra_discovered
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
vnic_op
Optional

vnic_op

array of string
vnic_op_consumers
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
vnics
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
vsphere_ha_active
Optional

If vSphere HA is enabled, this flag is set while CC is checking for ESX host failure (before the timeout of 120 secs), or when ESX host failure has been detected. When this flag is set, new VSs will not be placed on this SE, but no corrective actions (make before break, removing VSs, reboot) will occur in Resource Manager even while the SE is disconnected or down. Field introduced in 20.1.7, 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
warm_starting
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
went_headless_at
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
went_offline_at
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/serviceengine/{uuid}/placement
                
Service Engine Operations
GET
GET /serviceengine
GET
GET /serviceengine/{uuid}
PUT
PUT /serviceengine/{uuid}
PATCH
PATCH /serviceengine/{uuid}
DELETE
DELETE /serviceengine/{uuid}
POST
POST /serviceengine/{uuid}/reboot
POST
POST /serviceengine/{uuid}/forcedelete
POST
POST /serviceengine/{uuid}/switchover
POST
POST /serviceengine/clear
GET
GET /serviceengine/{uuid}/runtime/
GET
GET /serviceengine/{uuid}/runtime/detail/
GET
GET /serviceengine/{uuid}/internal/
GET
GET /serviceengine/{uuid}/ipstat/
GET
GET /serviceengine/{uuid}/arpstat/
GET
GET /serviceengine/{uuid}/icmpstat/
GET
GET /serviceengine/{uuid}/mbufstats/
GET
GET /serviceengine/{uuid}/mallocstats/
GET
GET /serviceengine/{uuid}/shmallocstats/
GET
GET /serviceengine/{uuid}/seassertstats/dp/
GET
GET /serviceengine/{uuid}/seassertstats/ag/
GET
GET /serviceengine/{uuid}/sevshbstats/
GET
GET /serviceengine/{uuid}/sevssplacement/
GET
GET /serviceengine/{uuid}/cpu/
GET
GET /serviceengine/{uuid}/cpu/detail/
GET
GET /serviceengine/{uuid}/meminfo/
GET
GET /serviceengine/{uuid}/interface/
GET
GET /serviceengine/{uuid}/systeminfo/
GET
GET /serviceengine/{uuid}/hugepageinfo/
GET
GET /serviceengine/{uuid}/bgp/
GET
GET /serviceengine/{uuid}/bgp/debug/
GET
GET /serviceengine/{uuid}/bgp/advertised_routes/
GET
GET /serviceengine/{uuid}/bgp/peer_status/
GET
GET /serviceengine/{uuid}/bgp/peer_info/
GET
GET /serviceengine/{uuid}/bgp/running_config/
GET
GET /serviceengine/{uuid}/bgp/peer_state/
GET
GET /serviceengine/{uuid}/bfd/running_config/
GET
GET /serviceengine/{uuid}/bfd/session_status/
GET
GET /serviceengine/{uuid}/interfacesummary/
GET
GET /serviceengine/{uuid}/interface/lacp/
GET
GET /serviceengine/{uuid}/lldp/
GET
GET /serviceengine/{uuid}/route/
GET
GET /serviceengine/{uuid}/ip6route/
GET
GET /serviceengine/{uuid}/arptable/
GET
GET /serviceengine/{uuid}/httpstats/
GET
GET /serviceengine/{uuid}/seruminsertionstats/
GET
GET /serviceengine/{uuid}/selogstats/
GET
GET /serviceengine/{uuid}/seauthstats/
GET
GET /serviceengine/{uuid}/vnicdb/
GET
GET /serviceengine/{uuid}/vnicdbhistory/
GET
GET /serviceengine/{uuid}/graphdb/
GET
GET /serviceengine/{uuid}/seagent/
GET
GET /serviceengine/{uuid}/resourcemap/
GET
GET /serviceengine/{uuid}/consistenthash/
GET
GET /serviceengine/{uuid}/appmap/
GET
GET /serviceengine/{uuid}/shardclientevents/
GET
GET /serviceengine/{uuid}/qatinfo/
GET
GET /serviceengine/{uuid}/rteringstat/
GET
GET /serviceengine/{uuid}/sehmprobedisable/
GET
GET /serviceengine/{uuid}/flowtablestat/
GET
GET /serviceengine/{uuid}/flowtable/
GET
GET /serviceengine/{uuid}/vshash/
GET
GET /serviceengine/{uuid}/flowtable_remote/
GET
GET /serviceengine/{uuid}/tcp-flows/
GET
GET /serviceengine/{uuid}/sctp-flows/
GET
GET /serviceengine/{uuid}/tcp-flows/detail/
GET
GET /serviceengine/{uuid}/sctp-flows/detail/
GET
GET /serviceengine/{uuid}/metrics/
GET
GET /serviceengine/{uuid}/metrics/detail/
GET
GET /serviceengine/{uuid}/metrics/debug/
GET
GET /serviceengine/{uuid}/metrics/debug/summary/
GET
GET /serviceengine/{uuid}/dosstat/
GET
GET /serviceengine/{uuid}/memdist/
POST
POST /serviceengine/{uuid}/faultinject/exhaust_mbuf/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_mcl/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_mcl_small/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_conn/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_shm_conn/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_cfg/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_shm_cfg/clear
POST
POST /serviceengine/{uuid}/faultinject/sefault/clear
GET
GET /serviceengine/{uuid}/placement/
GET
GET /serviceengine/{uuid}/reservedvs/
GET
GET /serviceengine/{uuid}/microservice/
GET
GET /serviceengine/{uuid}/ndtable/
GET
GET /serviceengine/{uuid}/ip6stat/
GET
GET /serviceengine/{uuid}/icmp6stat/
GET
GET /serviceengine/{uuid}/natstat/
GET
GET /serviceengine/{uuid}/nat-flows/
GET
GET /serviceengine/{uuid}/network-service/
GET
GET /serviceengine/{uuid}/natpolicystats/
GET
GET /serviceengine/{uuid}/vrf-ip-info/
GET
GET /serviceengine/{uuid}/ratelimiting/rl/internal/
GET
GET /serviceengine/{uuid}/ratelimiting/msf/internal/
GET
GET /serviceengine/{uuid}/routestat/
GET
GET /serviceengine/{uuid}/route-flows/
GET
GET /serviceengine/{uuid}/objsync/
GET
GET /serviceengine/{uuid}/resolverdb/
GET
GET /serviceengine/{uuid}/resolverdbsummary/
GET
GET /serviceengine/{uuid}/seagent_sedatastore_download_fail_obj_list/
GET
GET /serviceengine/{uuid}/botuacacheruntime/
GET
GET /serviceengine/{uuid}/botuacachestatsruntime/
GET
GET /serviceengine/{uuid}/placement/summary/
GET
GET /serviceengine/{uuid}/placement/detail/
GET
GET /serviceengine/{uuid}/adaptiveevents/
GET
GET /serviceengine/{uuid}/dpmetrics/
GET
GET /serviceengine/{uuid}/objsync_stats/
GET
GET /serviceengine/{uuid}/diameter/connections/
GET
GET /serviceengine/{uuid}/dump_objsync_stats/
GET
GET /serviceengine/{uuid}/qatstats/
GET
GET /serviceengine/{uuid}/flowtablestat6/
GET
GET /serviceengine/{uuid}/selogagentstats/
GET
GET /serviceengine/{uuid}/selogagentoperstats/
GET
GET /serviceengine/{uuid}/selogagentcontrollerinterfacestats/
GET
GET /serviceengine/{uuid}/selogagentnetworkstreamstats/
GET
GET /serviceengine/{uuid}/sessionkeyforwarderstats/
GET
GET /serviceengine/{uuid}/sessionkeyforwarderstats/details/
GET
GET /serviceengine/{uuid}/nicinfo/